# Admin Tools

1. Generate participants pods (CU,DU,UE) in bulks.
2. Generate all the necessary components. 


## Templates 

### Deployments

```bash
deployments/
├── CoreNetwork
│   ├── basic-no-nrf
│   │   ├── mysql-deployment.yaml
│   │   ├── oai-amf-deployment.yaml
│   │   ├── oai-ausf-deployment.yaml
│   │   ├── oai-ext-dn-deployment.yaml
│   │   ├── oai-smf-deployment.yaml
│   │   ├── oai-spgwu-deployment.yaml
│   │   ├── oai-udm-deployment.yaml
│   │   └── oai-udr-deployment.yaml
│   └── default
│       ├── mysql-deployment.yaml
│       ├── oai-amf-deployment.yaml
│       ├── oai-ext-dn-deployment.yaml
│       ├── oai-gnb-deployment.yaml
│       ├── oai-nrf-deployment.yaml
│       ├── oai-nr-ue2-deployment.yaml
│       ├── oai-nr-ue-deployment.yaml
│       ├── oai-smf-deployment.yaml
│       └── oai-spgwu-deployment.yaml
├── src # Template sources
│   ├── gnb_access_deployment.yaml
│   ├── template_deployment.yaml
│   └── template_ue_deployment.yaml
└── trainee # Generated Configs 
    ├── gnb-cu-01.yaml
    ├── gnb-cu-02.yaml
    ├── gnb-cu-03.yaml
    ├── gnb-du-01.yaml
    ├── gnb-du-02.yaml
    ├── gnb-du-03.yaml
    ├── gnb-ue-01.yaml
    ├── gnb-ue-02.yaml
    └── gnb-ue-03.yaml
```

### Network Definitions (Multis CNI)

```bash
net/
├── core # Core Netowrks
│   ├── amf-n2.yaml
│   ├── amf.yaml
│   ├── ausf.yaml
│   ├── db.yaml
│   ├── dn.yaml
│   ├── nrf.yaml
│   ├── smf.yaml
│   ├── udm.yaml
│   ├── udr.yaml
│   ├── upf-n3.yaml
│   └── upf.yaml
├── gnb # Generated Network Template
│   ├── cu-amf-01.yaml
│   ├── cu-amf-02.yaml
│   ├── cu-amf-03.yaml
│   ├── cu-du-01.yaml
│   ├── cu-du-02.yaml
│   ├── cu-du-03.yaml
│   ├── du-cu-01.yaml
│   ├── du-cu-02.yaml
│   ├── du-cu-03.yaml
│   ├── ue-du-01.yaml
│   ├── ue-du-02.yaml
│   └── ue-du-03.yaml
└── src # Source Network template
    └── template_net.yaml
```

